curl --request POST \
--url https://api.mottostreaming.com/cms/standing_phases/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"classifications": [
{
"id": "<string>",
"localized_name": {},
"localized_short_name": {},
"priority": "<string>"
}
],
"groups": [
{
"entries": [
{
"entity_id": "<string>",
"entity_type": "<string>",
"stats": {}
}
],
"localized_name": {}
}
],
"localized_name": {}
}
'import requests
url = "https://api.mottostreaming.com/cms/standing_phases/v1"
payload = {
"project_id": "<string>",
"classifications": [
{
"id": "<string>",
"localized_name": {},
"localized_short_name": {},
"priority": "<string>"
}
],
"groups": [
{
"entries": [
{
"entity_id": "<string>",
"entity_type": "<string>",
"stats": {}
}
],
"localized_name": {}
}
],
"localized_name": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '<string>',
classifications: [
{
id: '<string>',
localized_name: {},
localized_short_name: {},
priority: '<string>'
}
],
groups: [
{
entries: [{entity_id: '<string>', entity_type: '<string>', stats: {}}],
localized_name: {}
}
],
localized_name: {}
})
};
fetch('https://api.mottostreaming.com/cms/standing_phases/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"standing_phase": {
"project_id": "<string>",
"classifications": [
{
"id": "<string>",
"localized_name": {},
"localized_short_name": {},
"priority": "<string>"
}
],
"groups": [
{
"entries": [
{
"entity_id": "<string>",
"entity_type": "<string>",
"stats": {}
}
],
"localized_name": {}
}
],
"id": "<string>",
"localized_name": {}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Create standing phase
CreateStandingPhase
Creates new standing phase.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
A list of classifications that are used to rank entities in the standings. A classification is a description of a specific metric or statistic that is used to rank entities in the standings. For example, "points", "wins", "losses", etc.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
A map of localized names for this phase, for end users to see. The key is the language code (ISO 639 - set 1), e.g. "en", "de", "fr", etc. If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2), e.g. "en-US", "en-GB", etc.
This can be left empty, e.g. when this is the only phase in the standings.
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes

